DATA example8_8;
DO smoke=0 TO 1;
DO gene=0 TO 1;
DO y=0 TO 2;
INPUT F@@;
OUTPUT;
END;
END;
END;
CARDS;
26	11	5
7	9	14
41	21	13
10	15	29
;
PROC SORT;
BY descending y;
RUN;
PROC CATMOD order=data;
WEIGHT f;
DIRECT gene;
MODEL y=gene;
RUN;
